/*
 * Copyright (C) 2013 by the University of Southern California
 * $Id$
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 */
#ifndef GLOBAL_VAR_H
#define GLOBAL_VAR_H

//#define DEBUG

#include <string.h>	//strcmp
#include <stdlib.h>	//exit, atoi
#include <assert.h>
#include <arpa/inet.h>	//ip related
#include <sys/stat.h> 	//S_ISDIR

#include <iostream>	//cout, cerr
#include <sstream>
#include <fstream>
#include <vector>

#include <err.h>

#ifndef NULL
#define NULL 0L
#endif /* ~NULL */

//response parsing flag
//extern bool is_anon;
//extern bool set_anon;
enum report_options { NO_REPORT, NON_UNIFIED_REPORT, UNIFIED_REPORT, RSSAC002V2_REPORT, RSSAC002V3_REPORT };
extern bool report_messages;
extern enum report_options report_qry;
extern enum report_options report_rsp;
extern enum report_options report_rssac002;
extern bool report_extra;
extern bool verbose_log;
extern std::string command_line;
extern bool show_empty_query;
extern int tcp_timeout;
extern int tcp_check_period;
extern bool output_ip_ttl;
extern bool output_rtt;
//replace spaces with "%20" in the string of rdata output
const std::string RDATA_SPT="%20";

#define ANON_NONE         0x0000U
#define ANON_ALL          0xffffU
#define ANON_ADDR         0xc000U //server and client addresses
#define ANON_SERVER_ADDR  0x8000U //server address
#define ANON_CLIENT_ADDR  0x4000U //client address
#define ANON_NAME         0x2000U
#define ANON_DNS_ID       0x1000U

#endif // GLOBAL_VAR_H
